﻿--[[ Square class colored buttons for Masque ]]--

local MSQ = LibStub("Masque", true)
if not MSQ then
	return
end

--Death Knight
MSQ:AddSkin("CB: Death Knight", {
	Author = "jeffy162",
	Version = "3.0.0",
	Shape = "Square",
	Masque_Version = 40200,
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Backdrop_DK]],
	},
	Icon = {
		Width = 26,
		Height = 26,
		Texcoords = {0.07, 0.93, 0.07, 0.93},
		},
	Flash = {
		Width = 40,
		Height = 40,
		Color = {1, 0, 0, 0.6},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Overlay]],
	},
	Cooldown = {
		Width = 34,
		Height = 34,
	},
	Pushed = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Pushed]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Death Knight]],
		EmptyTexture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Normal]],
	},
	Disabled = {
		Hide = true,
	},
	Checked = {
		Width = 40,
		Height = 40,
		BlendMode = "ADD",
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Checked]],
	},
	Border = {
		Width = 40,
		Height = 40,
		BlendMode = "BLEND",
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Equipped]],
	},
	AutoCastable = {
		Width = 40,
		Height = 40,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Highlight = {
		Width = 40,
		Height = 40,
		BlendMode = "ADD",
		Color = {0, 0, 1, 0.9},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Highlight]],
	},
	Gloss = {
		Width = 40,
		Height = 40,
		BlendMode = "ADD",
		Color = {1, 1, 1, 0.5},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Gloss]],
	},
	HotKey = {
		Width = 40,
		Height = 10,
		OffsetX = -6,
		OffsetY = -6,
	},
	Count = {
		Width = 40,
		Height = 10,
		OffsetX = -6,
		OffsetY = 4,
	},
	Name = {
		Width = 40,
		Height = 10,
		OffsetX = 0,
		OffsetY = 4,
	},
	Duration = {
		Width = 40,
		Height = 10,
		OffsetX = 0,
		OffsetY = -10,
	},
	Autocast = {
		Width = 26,
		Height = 26,
		OffsetX = 1,
		OffsetY = -1,
	},
	
}, true)

--Druid
MSQ:AddSkin("CB: Druid", {
	Template = "CB: Death Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Backdrop_Druid]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Druid]],
		EmptyTexture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Normal]],
	},
}, true)

--Hunter
MSQ:AddSkin("CB: Hhunter", {
	Template = "CB: Death Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Backdrop_Hunter]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Hunter]],
		EmptyTexture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Normal]],
	},
}, true)

--Mage
MSQ:AddSkin("CB: Mage", {
	Template = "CB: Death Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Backdrop_Mage]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Mage]],
		EmptyTexture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Normal]],
	},
}, true)

--Monk
MSQ:AddSkin("CB: Monk", {
	Template = "CB: Death Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Backdrop_Monk]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Monk]],
		EmptyTexture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Normal]],
	},
}, true)

--Paladin
MSQ:AddSkin("CB: Paladin", {
	Template = "CB: Death Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Backdrop_Paladin]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Paladin]],
		EmptyTexture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Normal]],
	},
}, true)

--Priest
MSQ:AddSkin("CB: Priest", {
	Template = "CB: Death Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Backdrop_Priest]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Priest]],
		EmptyTexture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Normal]],
	},
}, true)

--Rogue
MSQ:AddSkin("CB: Rogue", {
	Template = "CB: Death Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Backdrop_Rogue]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Rogue]],
		EmptyTexture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Normal]],
	},
}, true)

--Shaman
MSQ:AddSkin("CB: Shaman", {
	Template = "CB: Death Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Backdrop_Shaman]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Shaman]],
		EmptyTexture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Normal]],
	},
}, true)

--Warlock
MSQ:AddSkin("CB: Warlock", {
	Template = "CB: Death Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Backdrop_Warlock]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Warlock]],
		EmptyTexture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Normal]],
	},
}, true)

--Warrior
MSQ:AddSkin("CB: Warrior", {
	Template = "CB: Death Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Backdrop_Warrior]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Warrior]],
		EmptyTexture = [[Interface\AddOns\Masque_ClassButtons\Textures64\Normal]],
	},
}, true)